{
    "format_version": "1.8.0",
    "minecraft:spawn_rules": {
      "description": {
        "identifier": "cc_fairytales:salamander",
        "population_control": "animal"
      },
      "conditions": [
        {
          "minecraft:spawns_lava": {},
          "minecraft:spawns_underground": {},
  
          "minecraft:difficulty_filter": {
            "min": "peaceful",
            "max": "hard"
          },
  
          "minecraft:weight": {
            "default": 50
          },

  
          "minecraft:density_limit": {
            "surface": 1
          },
  
          "minecraft:biome_filter": {
            "test": "has_biome_tag",
            "operator": "==",
            "value": "nether"
          }
        }
      ]
    }
  }